WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
vpx_codec_mmap Struct Reference
External Memory Allocation Functions

Memory Map Entry. More...

`#include <vpx_codec.h>`

## Data Fields
unsigned int | id
unsigned long | sz
unsigned int | align
unsigned int | flags
void * | base
void(* | dtor )(struct vpx_codec_mmap *map)
void * | priv

## Detailed Description

Memory Map Entry.

This structure is used to contain the properties of a memory segment. It is populated by the codec in the request phase, and by the calling application once the requested allocation has been performed.

## Field Documentation

unsigned int vpx_codec_mmap::id

identifier for the segment's contents

unsigned long vpx_codec_mmap::sz

size of the segment, in bytes

unsigned int vpx_codec_mmap::align

required alignment of the segment, in bytes

unsigned int vpx_codec_mmap::flags

bitfield containing segment properties

void* vpx_codec_mmap::base

pointer to the allocated segment

void(* vpx_codec_mmap::dtor)(struct vpx_codec_mmap *map)

destructor to call

void* vpx_codec_mmap::priv

allocator private storage

The documentation for this struct was generated from the following file:

- vpx/vpx_codec.h